var strBatchView = "";
window.google_analytics_uacct = "UA-3205969-9";
var linkwithin_site_id = 164880;
var _gaq = _gaq || [];
_gaq.push(['_setAccount', 'UA-3205969-9']);
_gaq.push(['_trackPageview']);
BAIDU_CLB_preloadSlots('23492', '23491', '23490', '23488', '39246', '39245', '39244', '39243', '52540', '63121', '164311');
function setCommentForm(a, b, c, d) {
    if (g("author") != null) g("author").value = a;
    if (g("email") != null) g("email").value = b;
    if (g("url") != null) g("url").value = c;
    if (null != g("ck")) {
        g("ck").value = d
    }
}
function checkComment() {
    var a = document.getElementById('comment').value;
    if (document.getElementById('author') != null) {
        if (document.getElementById('author').value == "" || document.getElementById('email').value == "" || a == "") {
            alert("嘿嘿，你好像还有东西没写耶，我不给你发！");
            return false
        }
    }
    re = /[\u4E00-\u9FA5]{1,}/ig;
    r = a.match(re);
    if (r == null || r.length <= 0) {
        alert("为了促进世界和平与社会和谐，你至少要写一个中文字的说……");
        return false
    }
    return true
}
function commentHotkey() {
    if (g('comment') == null) return;
    g('comment').onkeydown = function(a) {
        var b = null;
        if (window.event) {
            b = window.event
        } else {
            b = a
        }
        if (b != null && b.ctrlKey && b.keyCode == 13) {
            document.getElementById('submit').click()
        }
    }
}
function SearchBg(a) {
    var b = document.getElementById("gsc-input");
    if (b == null) return false;
    if (a) {
        b.style.background = "#FFFFFF url('http://www.google.com/cse/intl/zh-Hans/images/google_custom_search_watermark.gif') left no-repeat"
    } else {
        b.style.background = "#FFFFFF"
    }
}
$(document).ready(function() {
    $('.nav-ul .dropdownlink').hover(function() {
        $(this).find('.submenu').stop().fadeTo('fast', 1)
    },
    function() {
        $(this).find('.submenu').stop().fadeOut()
    });
    $(".post_content a[href='" + window.location.href + "']").addClass("selflink");
    $('.selflink').click(function() {
        return false
    });
    $("#sidebar_float").scrollFollow({
        bottomObj: '#ext_post,#video_wall_list,#footer,',
        marginTop: 8,
        marginBottom: 300
    });
    $("#share_toolbar_wrapper").scrollFollow({
        marginTop: 0,
        marginBottom: 0
    });
    $('#tab_box_posts').Tabs({
        event: 'mouseover'
    });
    $('#nav_explor').Tabs({
        event: 'mouseover'
    });
    $('#tab_box_top').Tabs({
        event: 'mouseover'
    });
    $('.entry').hover(function() {
        var a = $(this).find('.entry-more');
        var b = a.parent().parent().outerHeight() - 3;
        a.css("height", b);
        a.find('span').css("top", (b / 2 - 25));
        a.show()
    },
    function() {
        $(this).find('.entry-more').hide()
    });
    $('.comment').hover(function() {
        $(this).find('.comment_text .comment_reply_links').stop(true, true).show()
    },
    function() {
        $(this).find('.comment_text .comment_reply_links').stop(true, true).hide()
    });
    goTopButton()
});